%define module  NKF
%define name    perl-%{module}
%define version 2.0.7
%define ver     207
%define release %mkrel 1

Name:       %name
Version:    %version
Release:    %release
Summary:    Perl extension for Network Kanji Filter
License:    BSD-like
Group:      System/Internationalization
URL:        http://sourceforge.jp/projects/nkf
Source0:    http://prdownloads.sourceforge.jp/nkf/20770/nkf%{ver}.tar.bz2
BuildRequires:  perl-devel
Buildroot:      %{_tmppath}/%{name}-%{version}

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) %{version}
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%prep
%setup -q -n nkf%{ver}/NKF.mod

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make  CFLAGS='%{optflags}'

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorarch}/NKF.pm
%{perl_vendorarch}/auto/NKF
%{_mandir}/man3/*


%changelog
* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.7-1mdv2007.0
+ Revision: 134334
- add URL
- new version



* Wed Feb 08 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.71-8mdk
- drop translated stuff in spec file (per policy)
- fix conflict with nkf (#18901)

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.71-7mdk
- rebuild for new perl

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.71-6mdk
- rebuild for new perl
- cleaned up
- fix gcc-3.3 build (PO)
- don't use PREFIX
- use %%makeinstall_std macro
- don't gzip man pages
- fix paths to man pages and perl

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.71-5mdk
- rebuild for new auto{prov,req}

* Wed Feb 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.71-4mdk
- fix requires

* Tue Jan 16 2003 Laurent Culioli <laurent@pschit.net> 1.71-3mdk
- rebuild

* Wed Dec 05 2001 Stefan van der Eijk <stefan@eijk.nu> 1.71-2mdk
- %%{_libdir}/perl5/site_perl/*/*-linux/auto -->
  %%{perl_sitearch}/auto/*
- BuildRequires: perl-devel sharutils

* Fri Sep 14 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.71-1mdk
- first mandrake release

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
